path: /build/build/lightdm-x11-misc-1.30.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="audit gnome introspection qt5 vala" emerge x11-misc/lightdm -pv -t && \
    USE="audit gnome introspection qt5 vala" emerge -j ${JOBS} --nodeps x11-misc/lightdm
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/lightdm && luet-portage --dir /pkgdir/lightdm
    x11-misc/lightdm && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a4cb95568712443c951fdee425f683b838de5df5c88a43747129a7e73bf3559b
  package:
    name: lightdm
    version: 1.30.0
    category: x11-misc
    use_flags:
    - audit
    - gnome
    - introspection
    - qt5
    - vala
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A lightweight display manager
    uri:
    - https://github.com/CanonicalLtd/lightdm
    license: GPL-3 LGPL-3
    buildtimestamp: 2023-09-17 21:43:23.845959779 +0000 UTC m=+122.769644281
    labels:
      BDEPEND: dev-util/gtk-doc-am dev-util/intltool sys-devel/gettext virtual/pkgconfig
        vala? ( || ( dev-lang/vala:0.50 dev-lang/vala:0.48 dev-lang/vala:0.46 dev-lang/vala:0.44
        dev-lang/vala:0.42 dev-lang/vala:0.40 dev-lang/vala:0.36 ) ) >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4 virtual/pkgconfig
      DEPEND: '>=dev-libs/glib-2.44.0:2 dev-libs/libxml2 virtual/pam x11-libs/libX11
        >=x11-libs/libxklavier-5 audit? ( sys-process/audit ) gnome? ( sys-apps/accountsservice
        ) introspection? ( >=dev-libs/gobject-introspection-1 ) qt5? ( dev-qt/qtcore:5
        dev-qt/qtdbus:5 dev-qt/qtgui:5 ) gnome? ( gnome-base/gnome-common ) sys-apps/shadow'
      IUSE: audit +gnome +gtk +introspection non_root qt5 vala
      RDEPEND: '>=dev-libs/glib-2.44.0:2 dev-libs/libxml2 virtual/pam x11-libs/libX11
        >=x11-libs/libxklavier-5 audit? ( sys-process/audit ) gnome? ( sys-apps/accountsservice
        ) introspection? ( >=dev-libs/gobject-introspection-1 ) qt5? ( dev-qt/qtcore:5
        dev-qt/qtdbus:5 dev-qt/qtgui:5 ) >=sys-auth/pambase-20101024-r2'
      emerge.packages: x11-misc/lightdm
      kit: desktop-kit
      original.package.name: x11-misc/lightdm
      original.package.slot: "0"
      original.package.version: 1.30.0
    treedir: /build/packages
  package_dir: /pkgdir/lightdm
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1d712a122482afbddbf7c21a8e34e385fe9dfb2c1cafa57006d68f880ce1f0a9
compressiontype: zstd
files:
- etc/dbus-1/system.d/org.freedesktop.DisplayManager.conf
- etc/lightdm/Xsession
- etc/lightdm/keys.conf
- etc/lightdm/lightdm.conf
- etc/lightdm/users.conf
- etc/pam.d/lightdm
- etc/pam.d/lightdm-autologin
- etc/pam.d/lightdm-greeter
- lib/systemd/system/lightdm.service
- usr/bin/dm-tool
- usr/include/lightdm-gobject-1/lightdm/greeter.h
- usr/include/lightdm-gobject-1/lightdm/language.h
- usr/include/lightdm-gobject-1/lightdm/layout.h
- usr/include/lightdm-gobject-1/lightdm/power.h
- usr/include/lightdm-gobject-1/lightdm/session.h
- usr/include/lightdm-gobject-1/lightdm/system.h
- usr/include/lightdm-gobject-1/lightdm/user.h
- usr/include/lightdm-gobject-1/lightdm.h
- usr/include/lightdm-qt5-3/QLightDM/Greeter
- usr/include/lightdm-qt5-3/QLightDM/Power
- usr/include/lightdm-qt5-3/QLightDM/SessionsModel
- usr/include/lightdm-qt5-3/QLightDM/UsersModel
- usr/include/lightdm-qt5-3/QLightDM/greeter.h
- usr/include/lightdm-qt5-3/QLightDM/power.h
- usr/include/lightdm-qt5-3/QLightDM/sessionsmodel.h
- usr/include/lightdm-qt5-3/QLightDM/usersmodel.h
- usr/lib64/girepository-1.0/LightDM-1.typelib
- usr/lib64/liblightdm-gobject-1.so
- usr/lib64/liblightdm-gobject-1.so.0
- usr/lib64/liblightdm-gobject-1.so.0.0.0
- usr/lib64/liblightdm-qt5-3.so
- usr/lib64/liblightdm-qt5-3.so.0
- usr/lib64/liblightdm-qt5-3.so.0.0.0
- usr/lib64/pkgconfig/liblightdm-gobject-1.pc
- usr/lib64/pkgconfig/liblightdm-qt5-3.pc
- usr/libexec/lightdm-guest-session
- usr/sbin/lightdm
- usr/share/accountsservice/interfaces/org.freedesktop.DisplayManager.AccountsService.xml
- usr/share/bash-completion/completions/dm-tool
- usr/share/bash-completion/completions/lightdm
- usr/share/dbus-1/interfaces/org.freedesktop.DisplayManager.AccountsService.xml
- usr/share/doc/lightdm-1.30.0/NEWS.bz2
- usr/share/doc/lightdm-1.30.0/README.gentoo.bz2
- usr/share/gir-1.0/LightDM-1.gir
- usr/share/gtk-doc/html/lightdm-gobject-1/LightDMGreeter.html
- usr/share/gtk-doc/html/lightdm-gobject-1/LightDMLanguage.html
- usr/share/gtk-doc/html/lightdm-gobject-1/LightDMLayout.html
- usr/share/gtk-doc/html/lightdm-gobject-1/LightDMSession.html
- usr/share/gtk-doc/html/lightdm-gobject-1/LightDMUser.html
- usr/share/gtk-doc/html/lightdm-gobject-1/LightDMUserList.html
- usr/share/gtk-doc/html/lightdm-gobject-1/annotation-glossary.html
- usr/share/gtk-doc/html/lightdm-gobject-1/api-index-full.html
- usr/share/gtk-doc/html/lightdm-gobject-1/ch01.html
- usr/share/gtk-doc/html/lightdm-gobject-1/deprecated-api-index.html
- usr/share/gtk-doc/html/lightdm-gobject-1/home.png
- usr/share/gtk-doc/html/lightdm-gobject-1/index.html
- usr/share/gtk-doc/html/lightdm-gobject-1/left-insensitive.png
- usr/share/gtk-doc/html/lightdm-gobject-1/left.png
- usr/share/gtk-doc/html/lightdm-gobject-1/lightdm-gobject-1-Power-Management.html
- usr/share/gtk-doc/html/lightdm-gobject-1/lightdm-gobject-1-System-Information.html
- usr/share/gtk-doc/html/lightdm-gobject-1/lightdm-gobject-1.devhelp2
- usr/share/gtk-doc/html/lightdm-gobject-1/object-tree.html
- usr/share/gtk-doc/html/lightdm-gobject-1/right-insensitive.png
- usr/share/gtk-doc/html/lightdm-gobject-1/right.png
- usr/share/gtk-doc/html/lightdm-gobject-1/style.css
- usr/share/gtk-doc/html/lightdm-gobject-1/up-insensitive.png
- usr/share/gtk-doc/html/lightdm-gobject-1/up.png
- usr/share/locale/af/LC_MESSAGES/lightdm.mo
- usr/share/locale/an/LC_MESSAGES/lightdm.mo
- usr/share/locale/ar/LC_MESSAGES/lightdm.mo
- usr/share/locale/ast/LC_MESSAGES/lightdm.mo
- usr/share/locale/az/LC_MESSAGES/lightdm.mo
- usr/share/locale/be/LC_MESSAGES/lightdm.mo
- usr/share/locale/bg/LC_MESSAGES/lightdm.mo
- usr/share/locale/bn/LC_MESSAGES/lightdm.mo
- usr/share/locale/bo/LC_MESSAGES/lightdm.mo
- usr/share/locale/br/LC_MESSAGES/lightdm.mo
- usr/share/locale/bs/LC_MESSAGES/lightdm.mo
- usr/share/locale/ca/LC_MESSAGES/lightdm.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/lightdm.mo
- usr/share/locale/ckb/LC_MESSAGES/lightdm.mo
- usr/share/locale/cs/LC_MESSAGES/lightdm.mo
- usr/share/locale/da/LC_MESSAGES/lightdm.mo
- usr/share/locale/de/LC_MESSAGES/lightdm.mo
- usr/share/locale/el/LC_MESSAGES/lightdm.mo
- usr/share/locale/en_AU/LC_MESSAGES/lightdm.mo
- usr/share/locale/en_CA/LC_MESSAGES/lightdm.mo
- usr/share/locale/en_GB/LC_MESSAGES/lightdm.mo
- usr/share/locale/eo/LC_MESSAGES/lightdm.mo
- usr/share/locale/es/LC_MESSAGES/lightdm.mo
- usr/share/locale/et/LC_MESSAGES/lightdm.mo
- usr/share/locale/eu/LC_MESSAGES/lightdm.mo
- usr/share/locale/fa/LC_MESSAGES/lightdm.mo
- usr/share/locale/fi/LC_MESSAGES/lightdm.mo
- usr/share/locale/fo/LC_MESSAGES/lightdm.mo
- usr/share/locale/fr/LC_MESSAGES/lightdm.mo
- usr/share/locale/fy/LC_MESSAGES/lightdm.mo
- usr/share/locale/gd/LC_MESSAGES/lightdm.mo
- usr/share/locale/gl/LC_MESSAGES/lightdm.mo
- usr/share/locale/gu/LC_MESSAGES/lightdm.mo
- usr/share/locale/he/LC_MESSAGES/lightdm.mo
- usr/share/locale/hi/LC_MESSAGES/lightdm.mo
- usr/share/locale/hr/LC_MESSAGES/lightdm.mo
- usr/share/locale/hu/LC_MESSAGES/lightdm.mo
- usr/share/locale/ia/LC_MESSAGES/lightdm.mo
- usr/share/locale/id/LC_MESSAGES/lightdm.mo
- usr/share/locale/is/LC_MESSAGES/lightdm.mo
- usr/share/locale/it/LC_MESSAGES/lightdm.mo
- usr/share/locale/ja/LC_MESSAGES/lightdm.mo
- usr/share/locale/kk/LC_MESSAGES/lightdm.mo
- usr/share/locale/km/LC_MESSAGES/lightdm.mo
- usr/share/locale/kn/LC_MESSAGES/lightdm.mo
- usr/share/locale/ko/LC_MESSAGES/lightdm.mo
- usr/share/locale/ku/LC_MESSAGES/lightdm.mo
- usr/share/locale/lb/LC_MESSAGES/lightdm.mo
- usr/share/locale/lt/LC_MESSAGES/lightdm.mo
- usr/share/locale/lv/LC_MESSAGES/lightdm.mo
- usr/share/locale/mhr/LC_MESSAGES/lightdm.mo
- usr/share/locale/mi/LC_MESSAGES/lightdm.mo
- usr/share/locale/ml/LC_MESSAGES/lightdm.mo
- usr/share/locale/mr/LC_MESSAGES/lightdm.mo
- usr/share/locale/ms/LC_MESSAGES/lightdm.mo
- usr/share/locale/my/LC_MESSAGES/lightdm.mo
- usr/share/locale/nb/LC_MESSAGES/lightdm.mo
- usr/share/locale/nl/LC_MESSAGES/lightdm.mo
- usr/share/locale/nn/LC_MESSAGES/lightdm.mo
- usr/share/locale/oc/LC_MESSAGES/lightdm.mo
- usr/share/locale/pa/LC_MESSAGES/lightdm.mo
- usr/share/locale/pl/LC_MESSAGES/lightdm.mo
- usr/share/locale/pt/LC_MESSAGES/lightdm.mo
- usr/share/locale/pt_BR/LC_MESSAGES/lightdm.mo
- usr/share/locale/ro/LC_MESSAGES/lightdm.mo
- usr/share/locale/ru/LC_MESSAGES/lightdm.mo
- usr/share/locale/sc/LC_MESSAGES/lightdm.mo
- usr/share/locale/sd/LC_MESSAGES/lightdm.mo
- usr/share/locale/shn/LC_MESSAGES/lightdm.mo
- usr/share/locale/si/LC_MESSAGES/lightdm.mo
- usr/share/locale/sk/LC_MESSAGES/lightdm.mo
- usr/share/locale/sl/LC_MESSAGES/lightdm.mo
- usr/share/locale/sq/LC_MESSAGES/lightdm.mo
- usr/share/locale/sr/LC_MESSAGES/lightdm.mo
- usr/share/locale/sv/LC_MESSAGES/lightdm.mo
- usr/share/locale/ta/LC_MESSAGES/lightdm.mo
- usr/share/locale/te/LC_MESSAGES/lightdm.mo
- usr/share/locale/tg/LC_MESSAGES/lightdm.mo
- usr/share/locale/th/LC_MESSAGES/lightdm.mo
- usr/share/locale/tl/LC_MESSAGES/lightdm.mo
- usr/share/locale/tr/LC_MESSAGES/lightdm.mo
- usr/share/locale/ug/LC_MESSAGES/lightdm.mo
- usr/share/locale/uk/LC_MESSAGES/lightdm.mo
- usr/share/locale/uz/LC_MESSAGES/lightdm.mo
- usr/share/locale/vi/LC_MESSAGES/lightdm.mo
- usr/share/locale/wae/LC_MESSAGES/lightdm.mo
- usr/share/locale/zh_CN/LC_MESSAGES/lightdm.mo
- usr/share/locale/zh_HK/LC_MESSAGES/lightdm.mo
- usr/share/locale/zh_TW/LC_MESSAGES/lightdm.mo
- usr/share/man/man1/dm-tool.1.bz2
- usr/share/man/man1/lightdm.1.bz2
- usr/share/polkit-1/actions/org.freedesktop.DisplayManager.AccountsService.policy
- usr/share/vala/vapi/liblightdm-gobject-1.deps
- usr/share/vala/vapi/liblightdm-gobject-1.vapi
- var/db/pkg/x11-misc/lightdm-1.30.0/BDEPEND
- var/db/pkg/x11-misc/lightdm-1.30.0/BUILD_TIME
- var/db/pkg/x11-misc/lightdm-1.30.0/CATEGORY
- var/db/pkg/x11-misc/lightdm-1.30.0/CBUILD
- var/db/pkg/x11-misc/lightdm-1.30.0/CFLAGS
- var/db/pkg/x11-misc/lightdm-1.30.0/CHOST
- var/db/pkg/x11-misc/lightdm-1.30.0/CONTENTS
- var/db/pkg/x11-misc/lightdm-1.30.0/COUNTER
- var/db/pkg/x11-misc/lightdm-1.30.0/CXXFLAGS
- var/db/pkg/x11-misc/lightdm-1.30.0/DEFINED_PHASES
- var/db/pkg/x11-misc/lightdm-1.30.0/DEPEND
- var/db/pkg/x11-misc/lightdm-1.30.0/DESCRIPTION
- var/db/pkg/x11-misc/lightdm-1.30.0/EAPI
- var/db/pkg/x11-misc/lightdm-1.30.0/FEATURES
- var/db/pkg/x11-misc/lightdm-1.30.0/HOMEPAGE
- var/db/pkg/x11-misc/lightdm-1.30.0/INHERITED
- var/db/pkg/x11-misc/lightdm-1.30.0/IUSE
- var/db/pkg/x11-misc/lightdm-1.30.0/IUSE_EFFECTIVE
- var/db/pkg/x11-misc/lightdm-1.30.0/KEYWORDS
- var/db/pkg/x11-misc/lightdm-1.30.0/LDFLAGS
- var/db/pkg/x11-misc/lightdm-1.30.0/LICENSE
- var/db/pkg/x11-misc/lightdm-1.30.0/NEEDED
- var/db/pkg/x11-misc/lightdm-1.30.0/PDEPEND
- var/db/pkg/x11-misc/lightdm-1.30.0/PF
- var/db/pkg/x11-misc/lightdm-1.30.0/PROVIDES
- var/db/pkg/x11-misc/lightdm-1.30.0/RDEPEND
- var/db/pkg/x11-misc/lightdm-1.30.0/REQUIRES
- var/db/pkg/x11-misc/lightdm-1.30.0/RESTRICT
- var/db/pkg/x11-misc/lightdm-1.30.0/SIZE
- var/db/pkg/x11-misc/lightdm-1.30.0/SLOT
- var/db/pkg/x11-misc/lightdm-1.30.0/USE
- var/db/pkg/x11-misc/lightdm-1.30.0/environment.bz2
- var/db/pkg/x11-misc/lightdm-1.30.0/lightdm-1.30.0.ebuild
- var/db/pkg/x11-misc/lightdm-1.30.0/repository
- var/lib/lightdm-data/.keep_x11-misc_lightdm-0
package_cacheimage: ""
runtime:
  name: lightdm
  version: 1.30.0
  category: x11-misc
  use_flags:
  - audit
  - gnome
  - introspection
  - qt5
  - vala
  requires:
  - name: qtcore
    version: '>=0'
    category: dev-qt-5
  - name: qtgui
    version: '>=0'
    category: dev-qt-5
  - name: accountsservice
    version: '>=0'
    category: sys-apps
  - name: pambase
    version: '>=0'
    category: sys-auth
  - name: audit
    version: '>=0'
    category: sys-process
  - name: pam
    version: '>=0'
    category: virtual
  - name: libX11
    version: '>=0'
    category: x11-libs
  - name: libxklavier
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A lightweight display manager
  uri:
  - https://github.com/CanonicalLtd/lightdm
  license: GPL-3 LGPL-3
  labels:
    BDEPEND: dev-util/gtk-doc-am dev-util/intltool sys-devel/gettext virtual/pkgconfig
      vala? ( || ( dev-lang/vala:0.50 dev-lang/vala:0.48 dev-lang/vala:0.46 dev-lang/vala:0.44
      dev-lang/vala:0.42 dev-lang/vala:0.40 dev-lang/vala:0.36 ) ) >=app-portage/elt-patches-20170815
      !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
      ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4 virtual/pkgconfig
    DEPEND: '>=dev-libs/glib-2.44.0:2 dev-libs/libxml2 virtual/pam x11-libs/libX11
      >=x11-libs/libxklavier-5 audit? ( sys-process/audit ) gnome? ( sys-apps/accountsservice
      ) introspection? ( >=dev-libs/gobject-introspection-1 ) qt5? ( dev-qt/qtcore:5
      dev-qt/qtdbus:5 dev-qt/qtgui:5 ) gnome? ( gnome-base/gnome-common ) sys-apps/shadow'
    IUSE: audit +gnome +gtk +introspection non_root qt5 vala
    RDEPEND: '>=dev-libs/glib-2.44.0:2 dev-libs/libxml2 virtual/pam x11-libs/libX11
      >=x11-libs/libxklavier-5 audit? ( sys-process/audit ) gnome? ( sys-apps/accountsservice
      ) introspection? ( >=dev-libs/gobject-introspection-1 ) qt5? ( dev-qt/qtcore:5
      dev-qt/qtdbus:5 dev-qt/qtgui:5 ) >=sys-auth/pambase-20101024-r2'
    emerge.packages: x11-misc/lightdm
    kit: desktop-kit
    original.package.name: x11-misc/lightdm
    original.package.slot: "0"
    original.package.version: 1.30.0
